Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command
Class CommandContainerEvent

    java.lang.Object
      java.util.EventObject
          com.pietschy.command.CommandContainerEvent

All Implemented Interfaces:
  java.io.Serializable

    public class CommandContainerEvent

extends java.util.EventObject

The event object use by `CommandContainerListener`s.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`CommandContainerEvent(CommandContainer source)` Creates a new instance with the specified source container.
`CommandContainerEvent(CommandContainer source, Command command)` Creates a new instance with the specified source container that involves the specified command.

Method Summary
`Command` | `getCommand()` Gets the command that was the subject of this event, or `null` if the event is not related to a command.
`CommandContainer` | `getContainer()` Gets the container that generated the event.
`CommandContainer` | `getSource()` Gets the container that generated the event.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandContainerEvent

    public CommandContainerEvent(CommandContainer source)

  Creates a new instance with the specified source container.

  Parameters:
    `source` - the container that fired the event.

### CommandContainerEvent

    public CommandContainerEvent(CommandContainer source,
                                 Command command)

  Creates a new instance with the specified source container that involves the specified command.

  Parameters:
    `source` - the container that fired the event.
    `command` - the command that is the subject of this event.

Method Detail

### getSource

    public CommandContainer getSource()

  Gets the container that generated the event.

  Overrides:
    `getSource` in class `java.util.EventObject`
  Returns:
    the container that generated the event.

### getContainer

    public CommandContainer getContainer()

  Gets the container that generated the event.

  Returns:
    the container that generated the event.

### getCommand

    public Command getCommand()

  Gets the command that was the subject of this event, or `null` if the event is not related to a command.

  Returns:
    the command that was the subject of this event, or `null` if the event is not related to a command.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch